org.eclipse.emf.cdo.explorer

## Class CDOExplorerUtil

- java.lang.Object
- - org.eclipse.emf.cdo.explorer.CDOExplorerUtil

-     public final class CDOExplorerUtil
      extends java.lang.Object

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOExplorerUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDOCheckout` | `getCheckout(java.lang.Object object)`
    `static CDOCheckoutManager` | `getCheckoutManager()`
    `static java.lang.String` | `getName(java.lang.Object object)`
    `static java.lang.Object` | `getParent(java.lang.Object object)`
    `static java.util.LinkedList<java.lang.Object>` | `getPath(java.lang.Object object)`
    `static CDORepositoryManager` | `getRepositoryManager()`
    `static CDOCheckout` | `walkUp(java.lang.Object object, java.util.LinkedList<java.lang.Object> path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOExplorerUtil

          public CDOExplorerUtil()

  - ### Method Detail

    - #### getRepositoryManager

          public static CDORepositoryManager getRepositoryManager()

    - #### getCheckoutManager

          public static CDOCheckoutManager getCheckoutManager()

    - #### getCheckout

          public static CDOCheckout getCheckout(java.lang.Object object)

    - #### getParent

          public static java.lang.Object getParent(java.lang.Object object)

    - #### getName

          public static java.lang.String getName(java.lang.Object object)

    - #### getPath

          public static java.util.LinkedList<java.lang.Object> getPath(java.lang.Object object)

    - #### walkUp

          public static CDOCheckout walkUp(java.lang.Object object,
                                           java.util.LinkedList<java.lang.Object> path)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html